#!/usr/bin/env python
from config import SQLALCHEMY_DATABASE_URI
from app import db, models

db.create_all()

ph1 = models.Photo(alt="Kuvertbody superman")
ph2 = models.Photo(alt="Kuvertbody linjer")
ph3 = models.Photo(alt="Kuvertbody Hedvig")

index = models.Page(name="", title="Design by Lovén", description="Välkommen till *Design* by **Lovén**")

kuvertbody = models.Page(name="kuvertbody", title="Kuvertbody", description="An praktisk body som man kan dra av neråt", thumbnail=ph1)
linjer = models.Page(name="linjer", title="Kuvertbody - Linjer", description="Raka sömmar på framsidan", photos=[ph2, ph3], thumbnail=ph2, endpoint = True)
superman = models.Page(name="superman", title="Kuvertbody - Superman", description="Alla barn är superhjältar", photos=[ph1], thumbnail=ph1, endpoint = True)

index.children = [kuvertbody]
kuvertbody.children.append(linjer)
kuvertbody.children.append(superman)

ph1.link = superman
ph2.link = linjer
ph3.link = linjer


db.session.add(ph1)
db.session.add(ph2)
db.session.add(ph3)
db.session.add(index)
db.session.add(kuvertbody)
db.session.add(linjer)
db.session.add(superman)
db.session.commit()


